Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class UserImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.UserImpl

All Implemented Interfaces:
  Localizable, User, Serializable

    public class UserImpl

extends WrappedProtegeInstanceImpl
implements User, Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `UserImpl(MetaProjectImpl mp, Instance ui)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getDescription()`
`Set<Group>` | `getGroups()`
`String` | `getName()`
`String` | `getPassword()`
`int` | `hashCode()`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`String` | `toString()`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, localize, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserImpl

    protected UserImpl(MetaProjectImpl mp,
                       Instance ui)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `User`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `User`

### getGroups

    public Set<Group> getGroups()

  Specified by:
    `getGroups` in interface `User`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `WrappedProtegeInstanceImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `WrappedProtegeInstanceImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `WrappedProtegeInstanceImpl`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `User`

### setPassword

    public void setPassword(String password)

  Specified by:
    `setPassword` in interface `User`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `User`

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `User`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.